--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'SQL_ASCII';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: action_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE action_type AS ENUM (
    'http_request',
    'nailgun_task'
);


ALTER TYPE public.action_type OWNER TO nailgun;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp',
    'balance-rr',
    'balance-xor',
    'broadcast',
    '802.3ad',
    'balance-tlb',
    'balance-alb'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'update',
    'update_error'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error',
    'removing'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: oswl_resource_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE oswl_resource_type AS ENUM (
    'vm',
    'tenant',
    'volume',
    'security_group',
    'keystone_user',
    'flavor',
    'cluster_stats',
    'image'
);


ALTER TYPE public.oswl_resource_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces',
    'vmware_attributes'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'available',
    'unavailable'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre',
    'tun'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'check_repo_availability',
    'check_repo_availability_with_setup',
    'dump',
    'capacity_log',
    'create_stats_user',
    'remove_stats_user',
    'spawn_vms'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: action_logs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE action_logs (
    id integer NOT NULL,
    actor_id character varying(64),
    action_group character varying(64) NOT NULL,
    action_name character varying(64) NOT NULL,
    action_type action_type NOT NULL,
    start_timestamp timestamp without time zone NOT NULL,
    end_timestamp timestamp without time zone,
    is_sent boolean,
    additional_info text NOT NULL,
    cluster_id integer,
    task_uuid character varying(36)
);


ALTER TABLE public.action_logs OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE action_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.action_logs_id_seq OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE action_logs_id_seq OWNED BY action_logs.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugins (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    cluster_id integer
);


ALTER TABLE public.cluster_plugins OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugins_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugins_id_seq OWNED BY cluster_plugins.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    name text NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    pending_release_id integer,
    deployment_tasks text,
    ui_settings text DEFAULT '{"filter": {}, "sort": [{"roles": "asc"}], "view_mode": "standard", "search": ""}'::text NOT NULL,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: extensions_migration_buffer; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE extensions_migration_buffer (
    id integer NOT NULL,
    extension_name text NOT NULL,
    data text
);


ALTER TABLE public.extensions_migration_buffer OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE extensions_migration_buffer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.extensions_migration_buffer_id_seq OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE extensions_migration_buffer_id_seq OWNED BY extensions_migration_buffer.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL,
    vip_type character varying(50)
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: master_node_settings; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE master_node_settings (
    id integer NOT NULL,
    master_node_uid character varying(36) NOT NULL,
    settings text
);


ALTER TABLE public.master_node_settings OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE master_node_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.master_node_settings_id_seq OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE master_node_settings_id_seq OWNED BY master_node_settings.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    release integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text,
    group_id integer
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text,
    configuration_template text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    interfaces text,
    vms_conf text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying,
    state character varying(25),
    mode bond_mode NOT NULL,
    bond_properties text DEFAULT '{}'::text NOT NULL,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer,
    driver text,
    bus_info text,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL,
    pxe boolean DEFAULT false NOT NULL
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: nodegroups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodegroups (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(50) NOT NULL
);


ALTER TABLE public.nodegroups OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodegroups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodegroups_id_seq OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodegroups_id_seq OWNED BY nodegroups.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying NOT NULL,
    ip character varying(15),
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text,
    group_id integer,
    hostname character varying(255) DEFAULT ''::character varying NOT NULL,
    roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    pending_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    primary_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    network_template text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    labels text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: oswl_stats; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE oswl_stats (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    created_date date NOT NULL,
    updated_time time without time zone NOT NULL,
    resource_type oswl_resource_type NOT NULL,
    resource_data text,
    resource_checksum text NOT NULL,
    is_sent boolean NOT NULL
);


ALTER TABLE public.oswl_stats OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE oswl_stats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oswl_stats_id_seq OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE oswl_stats_id_seq OWNED BY oswl_stats.id;


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    title character varying(100) NOT NULL,
    version character varying(32) NOT NULL,
    description character varying(400),
    releases text,
    fuel_version text,
    package_version character varying(32) NOT NULL,
    groups text DEFAULT '[]'::text NOT NULL,
    authors text DEFAULT '[]'::text NOT NULL,
    licenses text DEFAULT '[]'::text NOT NULL,
    homepage text,
    network_roles_metadata text DEFAULT '[]'::text NOT NULL,
    attributes_metadata text DEFAULT '{}'::text NOT NULL,
    volumes_metadata text DEFAULT '{}'::text NOT NULL,
    roles_metadata text DEFAULT '{}'::text NOT NULL,
    deployment_tasks text DEFAULT '[]'::text NOT NULL,
    tasks text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    can_update_from_versions text DEFAULT '[]'::text NOT NULL,
    wizard_metadata text,
    is_deployable boolean DEFAULT true NOT NULL,
    deployment_tasks text,
    vmware_attributes_metadata text,
    modes text,
    network_roles_metadata text DEFAULT '[]'::text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: vmware_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vmware_attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text
);


ALTER TABLE public.vmware_attributes OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vmware_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.vmware_attributes_id_seq OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vmware_attributes_id_seq OWNED BY vmware_attributes.id;


--
-- Name: volume_manager_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.volume_manager_alembic_version OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_node_volumes (
    id integer NOT NULL,
    node_id integer NOT NULL,
    volumes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.volume_manager_node_volumes OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE volume_manager_node_volumes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.volume_manager_node_volumes_id_seq OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE volume_manager_node_volumes_id_seq OWNED BY volume_manager_node_volumes.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY action_logs ALTER COLUMN id SET DEFAULT nextval('action_logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins ALTER COLUMN id SET DEFAULT nextval('cluster_plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY extensions_migration_buffer ALTER COLUMN id SET DEFAULT nextval('extensions_migration_buffer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY master_node_settings ALTER COLUMN id SET DEFAULT nextval('master_node_settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups ALTER COLUMN id SET DEFAULT nextval('nodegroups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY oswl_stats ALTER COLUMN id SET DEFAULT nextval('oswl_stats_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes ALTER COLUMN id SET DEFAULT nextval('vmware_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY volume_manager_node_volumes ALTER COLUMN id SET DEFAULT nextval('volume_manager_node_volumes_id_seq'::regclass);


--
-- Data for Name: action_logs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY action_logs (id, actor_id, action_group, action_name, action_type, start_timestamp, end_timestamp, is_sent, additional_info, cluster_id, task_uuid) FROM stdin;
1	53e3c02044a878996ca4665a9ddf5f09104b7dd7471486adb119d0ff0588ac04	master_node_settings	master_node_settings	http_request	2015-08-03 13:46:23.204573	2015-08-03 13:46:23.438808	t	{"request_data": {"url": "/api/settings", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
2	53e3c02044a878996ca4665a9ddf5f09104b7dd7471486adb119d0ff0588ac04	master_node_settings	master_node_settings	http_request	2015-08-03 13:46:23.467218	2015-08-03 13:46:23.502222	t	{"request_data": {"url": "/api/settings", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
3	53e3c02044a878996ca4665a9ddf5f09104b7dd7471486adb119d0ff0588ac04	release_changes	release_instance	http_request	2015-08-03 13:46:24.098448	2015-08-03 13:46:24.153469	t	{"request_data": {"url": "/api/releases/2", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
4	53e3c02044a878996ca4665a9ddf5f09104b7dd7471486adb119d0ff0588ac04	release_changes	release_instance	http_request	2015-08-03 13:46:24.547611	2015-08-03 13:46:24.808052	t	{"request_data": {"url": "/api/releases/1", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
5	\N	operations	dump	nailgun_task	2015-08-03 13:56:44.395252	2015-08-03 13:56:44.487781	f	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "args": {"task_uuid": "57400baf-ca49-488d-bc8f-a032d2510657", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": [{}]}, "controller": {"objects": [{"type": "command", "command": "pcs status"}, {"type": "command", "command": "rabbitmqctl report"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}], "hosts": []}, "master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "docker images"}, {"type": "command", "command": "docker ps"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "dpkg -l"}, {"type": "command", "command": "apt-cache policy"}, {"type": "command", "command": "sysctl -a"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"type": "command", "command": "blkid -o list"}, {"type": "command", "command": "ceph health"}, {"type": "command", "command": "ceph -s"}, {"type": "command", "command": "ceph osd tree"}, {"type": "command", "command": "cat /proc/interrupts"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}, {"type": "command", "command": "dmesg"}], "hosts": []}}}}, "method": "dump_environment", "api_version": "1.0"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	57400baf-ca49-488d-bc8f-a032d2510657
\.


--
-- Name: action_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('action_logs_id_seq', 5, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
1e50a4903910
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, false);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 1, false);


--
-- Data for Name: cluster_plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugins (id, plugin_id, cluster_id) FROM stdin;
\.


--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugins_id_seq', 1, false);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, pending_release_id, deployment_tasks, ui_settings, extensions) FROM stdin;
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, false);


--
-- Data for Name: extensions_migration_buffer; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY extensions_migration_buffer (id, extension_name, data) FROM stdin;
\.


--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('extensions_migration_buffer_id_seq', 1, false);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.109.0.3	10.109.0.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 1, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr, vip_type) FROM stdin;
1	1	\N	10.109.0.2	\N
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 1, true);


--
-- Data for Name: master_node_settings; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY master_node_settings (id, master_node_uid, settings) FROM stdin;
1	7da9156a-8b1c-4217-87d0-f881c59dabe2	{"statistics": {"send_user_info": {"restrictions": ["fuel_settings:statistics.send_anonymous_statistic.value == false", {"action": "hide", "condition": "not ('mirantis' in version:feature_groups)"}], "type": "checkbox", "weight": 20, "value": true, "label": "statistics.setting_labels.send_user_info"}, "name": {"regex": {}, "restrictions": {}, "weight": 30, "value": "", "label": "statistics.setting_labels.name", "type": "hidden"}, "company": {"regex": {}, "restrictions": {}, "weight": 50, "value": "", "label": "statistics.setting_labels.company", "type": "hidden"}, "user_choice_saved": {"type": "hidden", "value": true}, "send_anonymous_statistic": {"type": "checkbox", "weight": 10, "value": true, "label": "statistics.setting_labels.send_anonymous_statistic"}, "email": {"regex": {}, "restrictions": {}, "weight": 40, "value": "test@localhost", "label": "statistics.setting_labels.email", "type": "hidden"}}, "tracking": {"password": {"regex": {"source": "\\\\S", "error": "Password cannot be empty"}, "type": "password", "value": "", "weight": 20, "label": "Password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+\\\\.\\\\S+$", "error": "Invalid email"}, "type": "text", "value": "", "weight": 10, "label": "Mirantis Account Email"}}}
\.


--
-- Name: master_node_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('master_node_settings_id_seq', 1, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 1, false);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, vlan_start, cidr, gateway, meta, group_id) FROM stdin;
1	fuelweb_admin	\N	\N	10.109.0.0/24	10.109.0.1	{"notation": "ip_ranges", "render_type": null, "map_priority": 0, "configurable": false, "unmovable": true, "use_gateway": true, "render_addr_mask": null}	\N
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 1, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges, configuration_template) FROM stdin;
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 1, false);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, interfaces, vms_conf) FROM stdin;
1	1	{}	[]
2	2	{}	[]
3	3	{}	[]
4	4	{}	[]
5	5	{}	[]
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 5, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, mode, bond_properties, interface_properties, offloading_modes) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id, driver, bus_info, interface_properties, offloading_modes, pxe) FROM stdin;
1	1	eth4	64:ae:de:c4:e3:27	1000	1000	\N	\N	up	\N	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
2	1	eth3	64:9c:56:f1:ea:7d	1000	1000	\N	\N	up	\N	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
3	1	eth2	64:aa:44:4f:64:bf	1000	1000	\N	\N	up	\N	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
4	1	eth1	64:b6:bc:65:21:3d	1000	1000	\N	\N	up	\N	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
5	1	eth0	64:45:e3:4e:a6:38	1000	1000	10.109.0.5	255.255.255.0	up	\N	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
6	2	eth4	64:b3:f1:bb:80:da	1000	1000	\N	\N	up	\N	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
7	2	eth3	64:0b:fa:d1:bd:98	1000	1000	\N	\N	up	\N	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
8	2	eth2	64:5e:3e:ab:a2:8c	1000	1000	\N	\N	up	\N	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
9	2	eth1	64:1d:ae:f7:b0:2a	1000	1000	\N	\N	up	\N	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
10	2	eth0	64:36:fd:98:e2:e1	1000	1000	10.109.0.6	255.255.255.0	up	\N	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
11	3	eth4	64:83:6d:1a:bf:8d	1000	1000	\N	\N	up	\N	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
12	3	eth3	64:e3:7b:d9:95:1a	1000	1000	\N	\N	up	\N	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
13	3	eth2	64:81:4e:c6:24:29	1000	1000	\N	\N	up	\N	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
14	3	eth1	64:b9:5e:bc:ca:e9	1000	1000	\N	\N	up	\N	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
15	3	eth0	64:bd:2a:4c:84:78	1000	1000	10.109.0.4	255.255.255.0	up	\N	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
16	4	eth4	64:6d:5d:a7:8e:27	1000	1000	\N	\N	up	\N	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
17	4	eth3	64:66:b4:b0:83:9f	1000	1000	\N	\N	up	\N	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
18	4	eth2	64:a0:98:34:96:76	1000	1000	\N	\N	up	\N	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
19	4	eth1	64:53:9d:6e:c0:f2	1000	1000	\N	\N	up	\N	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
20	4	eth0	64:45:ff:44:01:61	1000	1000	10.109.0.7	255.255.255.0	up	\N	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
21	5	eth4	64:0c:a0:e3:66:47	1000	1000	\N	\N	up	\N	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
22	5	eth3	64:e0:59:0c:de:2f	1000	1000	\N	\N	up	\N	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
23	5	eth2	64:f7:21:ef:2d:71	1000	1000	\N	\N	up	\N	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
24	5	eth1	64:ac:16:fe:8f:86	1000	1000	\N	\N	up	\N	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
25	5	eth0	64:41:e6:c3:49:63	1000	1000	10.109.0.3	255.255.255.0	up	\N	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 25, true);


--
-- Data for Name: nodegroups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodegroups (id, cluster_id, name) FROM stdin;
\.


--
-- Name: nodegroups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodegroups_id_seq', 1, false);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info, group_id, hostname, roles, pending_roles, primary_roles, network_template, extensions, labels) FROM stdin;
1	3dbfc773-f202-417b-a715-f685477802c3	\N	Untitled (a6:38)	discover	{"system": {"uuid": "0CC80E4E-DB87-4F31-B642-1D6C1CEDDA0D", "product": "Standard PC (i440FX + PIIX, 1996)", "version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "QEMU"}, "interfaces": [{"bus_info": "0000:00:07.0", "driver": "e1000", "mac": "64:AE:DE:C4:E3:27", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth4"}, {"bus_info": "0000:00:06.0", "driver": "e1000", "mac": "64:9C:56:F1:EA:7D", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth3"}, {"bus_info": "0000:00:05.0", "driver": "e1000", "mac": "64:AA:44:4F:64:BF", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth2"}, {"bus_info": "0000:00:04.0", "driver": "e1000", "mac": "64:B6:BC:65:21:3D", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth1"}, {"bus_info": "0000:00:03.0", "ip": "10.109.0.5", "driver": "e1000", "mac": "64:45:E3:4E:A6:38", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "name": "eth0"}], "disks": [{"name": "vdc", "extra": ["disk/by-id/virtio-02b53362ebe3421c81fb"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-e7badf918e8c492a80a1"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 53687091200}, {"name": "vda", "extra": ["disk/by-id/virtio-b7dce2338a014b64b87c"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 53687091200}], "cpu": {"real": 0, "total": 4, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}]}, "memory": {"slots": 1, "total": 4294967296, "maximum_capacity": 4294967296, "devices": [{"type": "RAM", "size": 4294967296}]}}	64:45:e3:4e:a6:38	10.109.0.5	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	centos	f	f	\N	\N	2015-08-03 13:56:04.412898	t	3e9d3d295ab710b60707ec09b70a7bee08ae6d96	[]	{}	\N	node-1	{}	{}	{}	\N	{}	{}
2	432bd321-fd05-4ba6-83f2-d2f8000a8e50	\N	Untitled (e2:e1)	discover	{"system": {"uuid": "48A16A7B-7C3A-45B7-8511-C7EB906675B6", "product": "Standard PC (i440FX + PIIX, 1996)", "version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "QEMU"}, "interfaces": [{"bus_info": "0000:00:07.0", "driver": "e1000", "mac": "64:B3:F1:BB:80:DA", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth4"}, {"bus_info": "0000:00:06.0", "driver": "e1000", "mac": "64:0B:FA:D1:BD:98", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth3"}, {"bus_info": "0000:00:05.0", "driver": "e1000", "mac": "64:5E:3E:AB:A2:8C", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth2"}, {"bus_info": "0000:00:04.0", "driver": "e1000", "mac": "64:1D:AE:F7:B0:2A", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth1"}, {"bus_info": "0000:00:03.0", "ip": "10.109.0.6", "driver": "e1000", "mac": "64:36:FD:98:E2:E1", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "name": "eth0"}], "disks": [{"name": "vdc", "extra": ["disk/by-id/virtio-6564c8d835264fffb0c6"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-febca25c18154508a674"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 53687091200}, {"name": "vda", "extra": ["disk/by-id/virtio-e533cb1eb2b34be9a527"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 53687091200}], "cpu": {"real": 0, "total": 4, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}]}, "memory": {"slots": 1, "total": 4294967296, "maximum_capacity": 4294967296, "devices": [{"type": "RAM", "size": 4294967296}]}}	64:36:fd:98:e2:e1	10.109.0.6	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	centos	f	f	\N	\N	2015-08-03 13:56:09.159176	t	d1de320d468461b4b232ca25c02ed56618bebde4	[]	{}	\N	node-2	{}	{}	{}	\N	{}	{}
3	38cc0de7-ad59-4760-b3d1-e992e7ca2842	\N	Untitled (84:78)	discover	{"system": {"uuid": "11DF2F3C-F000-4B80-BA7B-D923499549AA", "product": "Standard PC (i440FX + PIIX, 1996)", "version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "QEMU"}, "interfaces": [{"bus_info": "0000:00:07.0", "driver": "e1000", "mac": "64:83:6D:1A:BF:8D", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth4"}, {"bus_info": "0000:00:06.0", "driver": "e1000", "mac": "64:E3:7B:D9:95:1A", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth3"}, {"bus_info": "0000:00:05.0", "driver": "e1000", "mac": "64:81:4E:C6:24:29", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth2"}, {"bus_info": "0000:00:04.0", "driver": "e1000", "mac": "64:B9:5E:BC:CA:E9", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth1"}, {"bus_info": "0000:00:03.0", "ip": "10.109.0.4", "driver": "e1000", "mac": "64:BD:2A:4C:84:78", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "name": "eth0"}], "disks": [{"name": "vdc", "extra": ["disk/by-id/virtio-02aca146a3ca47cab6ce"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-f90052dbba24420c8c9d"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 53687091200}, {"name": "vda", "extra": ["disk/by-id/virtio-9f2555182fde4fc49e73"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 53687091200}], "cpu": {"real": 0, "total": 4, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}]}, "memory": {"slots": 1, "total": 4294967296, "maximum_capacity": 4294967296, "devices": [{"type": "RAM", "size": 4294967296}]}}	64:bd:2a:4c:84:78	10.109.0.4	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	centos	f	f	\N	\N	2015-08-03 13:56:18.959962	t	676198df59ddc8fb4e9f40f8aa2cf5f4912cb273	[]	{}	\N	node-3	{}	{}	{}	\N	{}	{}
4	761c5e4d-0dae-437d-81aa-178360d8576c	\N	Untitled (01:61)	discover	{"system": {"uuid": "9C4AA7A5-3B42-424E-BC94-5A3ACFD103ED", "product": "Standard PC (i440FX + PIIX, 1996)", "version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "QEMU"}, "interfaces": [{"bus_info": "0000:00:07.0", "driver": "e1000", "mac": "64:6D:5D:A7:8E:27", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth4"}, {"bus_info": "0000:00:06.0", "driver": "e1000", "mac": "64:66:B4:B0:83:9F", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth3"}, {"bus_info": "0000:00:05.0", "driver": "e1000", "mac": "64:A0:98:34:96:76", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth2"}, {"bus_info": "0000:00:04.0", "driver": "e1000", "mac": "64:53:9D:6E:C0:F2", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth1"}, {"bus_info": "0000:00:03.0", "ip": "10.109.0.7", "driver": "e1000", "mac": "64:45:FF:44:01:61", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "name": "eth0"}], "disks": [{"name": "vdc", "extra": ["disk/by-id/virtio-bfb8774434f34864b0f8"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-a61a9d7e9f0441089aa9"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 53687091200}, {"name": "vda", "extra": ["disk/by-id/virtio-0ef44914b26e4f939054"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 53687091200}], "cpu": {"real": 0, "total": 4, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}]}, "memory": {"slots": 1, "total": 4294967296, "maximum_capacity": 4294967296, "devices": [{"type": "RAM", "size": 4294967296}]}}	64:45:ff:44:01:61	10.109.0.7	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	centos	f	f	\N	\N	2015-08-03 13:56:21.965981	t	9b99785cb8c968725f02408d9ac5b09449befbcf	[]	{}	\N	node-4	{}	{}	{}	\N	{}	{}
5	bdcf00ce-6dc2-4f9d-bdb4-1793cc10b805	\N	Untitled (49:63)	discover	{"system": {"uuid": "FE942565-7349-4C2D-B23E-637C42FDF468", "product": "Standard PC (i440FX + PIIX, 1996)", "version": "pc-i440fx-trusty", "fqdn": "bootstrap", "manufacturer": "QEMU"}, "interfaces": [{"bus_info": "0000:00:07.0", "driver": "e1000", "mac": "64:0C:A0:E3:66:47", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth4"}, {"bus_info": "0000:00:06.0", "driver": "e1000", "mac": "64:E0:59:0C:DE:2F", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth3"}, {"bus_info": "0000:00:05.0", "driver": "e1000", "mac": "64:F7:21:EF:2D:71", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth2"}, {"bus_info": "0000:00:04.0", "driver": "e1000", "mac": "64:AC:16:FE:8F:86", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "name": "eth1"}, {"bus_info": "0000:00:03.0", "ip": "10.109.0.3", "driver": "e1000", "netmask": "255.255.255.0", "mac": "64:41:E6:C3:49:63", "state": "up", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": true, "name": "eth0"}], "disks": [{"name": "vdc", "extra": ["disk/by-id/virtio-8fe3673f8104425cbd73"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-ec1478996b60430c9c36"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 53687091200}, {"name": "vda", "extra": ["disk/by-id/virtio-7304b96f470246b2b3cd"], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 53687091200}], "cpu": {"real": 0, "total": 4, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}, {"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 1999}]}, "memory": {"slots": 1, "total": 4294967296, "maximum_capacity": 4294967296, "devices": [{"type": "RAM", "size": 4294967296}]}}	64:41:e6:c3:49:63	10.109.0.3	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	centos	f	f	\N	\N	2015-08-03 13:56:27.388978	t	58f8732a4ce4f3aad1b026a676b09f2e0353b904	[]	{}	\N	node-5	{}	{}	{}	\N	{}	{}
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 5, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	unread	2015-08-03 13:42:40.81771
2	\N	\N	\N	warning	WARNING: There are issues connecting to Fuel update repository.\nPlease fix your connection and update this node with `yum update`\nThen run `dockerctl destroy all; bootstrap_admin_node.sh;`\nto repeat bootstrap on Fuel Master with the latest updates.\nFor more information, check out Fuel documentation at:\nhttp://docs.mirantis.com/fuel	unread	2015-08-03 13:45:27.20514
3	\N	1	\N	discover	New node is discovered: 4 CPUs / 4.0 GB RAM / 0.161 TB HDD 	unread	2015-08-03 13:56:04.505809
4	\N	2	\N	discover	New node is discovered: 4 CPUs / 4.0 GB RAM / 0.161 TB HDD 	unread	2015-08-03 13:56:09.246107
5	\N	3	\N	discover	New node is discovered: 4 CPUs / 4.0 GB RAM / 0.161 TB HDD 	unread	2015-08-03 13:56:19.027225
6	\N	4	\N	discover	New node is discovered: 4 CPUs / 4.0 GB RAM / 0.161 TB HDD 	unread	2015-08-03 13:56:22.04934
7	\N	5	\N	discover	New node is discovered: 4 CPUs / 4.0 GB RAM / 0.161 TB HDD 	unread	2015-08-03 13:56:27.465026
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 7, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: oswl_stats; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY oswl_stats (id, cluster_id, created_date, updated_time, resource_type, resource_data, resource_checksum, is_sent) FROM stdin;
\.


--
-- Name: oswl_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('oswl_stats_id_seq', 1, false);


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, name, title, version, description, releases, fuel_version, package_version, groups, authors, licenses, homepage, network_roles_metadata, attributes_metadata, volumes_metadata, roles_metadata, deployment_tasks, tasks) FROM stdin;
\.


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, can_update_from_versions, wizard_metadata, is_deployable, deployment_tasks, vmware_attributes_metadata, modes, network_roles_metadata, extensions) FROM stdin;
2	Kilo on Ubuntu 14.04.1	2015.1.0-7.0	This option will install the OpenStack Juno packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"bonding": {"availability": [{"linux": "settings:storage.iser.value == false and settings:neutron_mellanox.plugin.value != 'ethernet'"}, {"ovs": "false"}], "properties": {"linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": "private", "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": "private", "cidr": "192.168.2.0/24", "seg_type": "tun"}]}}	{"generated": {"provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "rabbit": {"password": {"generator": "password"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1404_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 40, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "metadata": {"weight": 20, "label": "Additional Components"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\nFor more details, please refer to the documentation (https://docs.mirantis.com/openstack/fuel/fuel-6.1/operations.html#external-ubuntu-ops).\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/x86_64", "priority": 1050, "suite": "mos7.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos/ubuntu/", "priority": 1050, "suite": "mos7.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos/ubuntu/", "priority": 1050, "suite": "mos7.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos/ubuntu/", "priority": 1100, "suite": "mos7.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"always_editable": true, "weight": 50, "label": "Repositories"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "weight": 20, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^\\\\*$|^(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3}(?:\\\\s*,\\\\s*(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3})*$", "error": "Invalid IP address list"}, "description": "List of upstream DNS servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text"}, "metadata": {"weight": 90, "label": "Host OS DNS Servers"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'", {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"weight": 10, "type": "checkbox", "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "value": true, "label": "HTTPS for Horizon"}, "services": {"weight": 20, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": true, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, placed one after another", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "murano_settings": {"murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "weight": 20, "label": "Murano Settings"}}, "common": {"use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "textarea", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "puppet_debug": {"weight": 20, "type": "checkbox", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "value": true, "label": "Puppet debug logging"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "value": true, "label": "Resume guests state on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 10, "label": "Workloads Collector User"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(?:\\\\.\\\\d{1,3}){3})\\\\s*(?:,\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(\\\\.\\\\d{1,3}){3})\\\\s*)*$", "error": "Invalid NTP server list"}, "description": "List of upstream NTP servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text"}, "metadata": {"weight": 100, "label": "Host OS NTP Servers"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "neutron_advanced_configuration": {"neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 45, "label": "Neutron Advanced Configuration"}}}}	{"volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute-vmware": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "name": "Compute VMware", "weight": 90, "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "mongo": {"restrictions": [{"message": "MongoDB node can not be added to an operational environment.", "condition": "cluster:status == 'operational'"}, {"message": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "name": "Telemetry - MongoDB", "weight": 60, "conflicts": ["compute", "ceph-osd"], "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "has_primary": true, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "virt": {"restrictions": [{"condition": "not ('advanced' in version:feature_groups)"}], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes.", "public_ip_required": true, "weight": 80, "name": "Virtual"}, "base-os": {"name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"overrides": [{"max": 1, "message": "Multi-node environment can not have more than one Controller node.", "condition": "cluster:mode == 'multinode'"}, {"recommended": 3, "message": "At least 3 Controller nodes are recommended for Highly Available (HA) environments. Deployments with less than 3 Controller nodes are not recommended for production environments.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "ceph-osd": {"restrictions": [{"message": "Ceph must be enabled in settings", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false"}], "name": "Storage - Ceph OSD", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "update_once": ["controller"], "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in settings", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "limits": {"recommended": 1}, "name": "Storage - Cinder", "weight": 30, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "limits": {"recommended": 1}, "name": "Storage - Cinder Proxy to VMware Datastore", "weight": 40, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMWare vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}], "weight": 5, "value": "qemu", "type": "radio"}, "vcenter": {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "nova-network"}, "settings:common.use_vcenter.value"], "type": "checkbox", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 10, "label": "dialog.create_cluster_wizard.compute.vcenter"}}, "Network": {"manager": {"values": [{"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "label": "common.network.neutron_vlan"}, {"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "tun"}], "data": "neutron-tun", "description": "dialog.create_cluster_wizard.network.neutron_tun_description", "label": "common.network.neutron_tun"}, {"restrictions": [{"Compute.vcenter == false": "dialog.create_cluster_wizard.network.nove_network_vcenter_alert"}], "bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "description": "dialog.create_cluster_wizard.network.nova_network_description", "label": "dialog.create_cluster_wizard.network.nova_network"}], "type": "radio"}}, "Storage": {"ceph": {"values": [{"bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.objects_ceph.value": false}, {"settings:storage.ephemeral_ceph.value": false}, {"settings:storage.images_ceph.value": false}], "data": "disable", "label": "dialog.create_cluster_wizard.storage.ceph_disable"}, {"bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.objects_ceph.value": true}, {"settings:storage.ephemeral_ceph.value": true}, {"settings:storage.images_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}], "data": "enable", "label": "dialog.create_cluster_wizard.storage.ceph_enable"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}], "type": "radio"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}]}}, "Ready": {}}	t	[{"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "requires": ["deploy_start"], "id": "hiera"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "firewall"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/murano.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["heat", "horizon"], "id": "murano", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["murano"], "type": "puppet", "id": "murano-db", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["murano"], "type": "puppet", "id": "murano-keystone", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/zabbix/zabbix.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/zabbix/zabbix_post.rb"}, "requires": ["hosts", "firewall"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "zabbix"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}, "requires": ["hosts", "firewall", "deploy_start"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "cluster"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "keystone"], "type": "puppet", "id": "memcached"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/controller.pp", "timeout": 3600}, "type": "puppet", "id": "controller_remaining_tasks", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"]}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/compute.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["compute"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/cinder.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["cinder"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo_primary.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-primary-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/sahara.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-network", "horizon"], "id": "sahara", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["sahara"], "type": "puppet", "id": "sahara-db", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["sahara"], "type": "puppet", "id": "sahara-keystone", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}, "requires": ["tools"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "umm"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}, "requires": ["controller_remaining_tasks"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "vmware-vcenter", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}, "groups": ["cinder-vmware"], "required_for": ["deploy_end"], "requires": ["openstack-cinder"], "id": "top-role-cinder-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}, "requires": ["top-role-compute"], "groups": ["compute-vmware"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-compute-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "dns-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-mongo", "mongo", "primary-controller", "controller", "compute", "ceph-osd", "cinder", "cinder-vmware", "zabbix-server"], "required_for": ["ntp-client"], "type": "puppet", "id": "dns-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["keystone"], "type": "puppet", "id": "apache"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["deploy_start", "openstack-haproxy"], "id": "database"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "requires": ["hiera"], "id": "globals"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "hosts"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "openstack-controller", "glance"], "type": "puppet", "id": "rabbitmq"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}, "requires": ["apache"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "api-proxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/controller.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller", "swift"], "requires": ["mongo", "primary-mongo", "openstack-haproxy"], "id": "ceilometer-controller", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/compute.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_pre.rb"}, "groups": ["compute"], "required_for": ["deploy_end"], "requires": ["ceilometer-controller", "top-role-compute"], "id": "ceilometer-compute", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["ceilometer-controller"], "type": "puppet", "id": "ceilometer-keystone", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/openstack-controller.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "openstack-controller"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["openstack-controller"], "type": "puppet", "id": "nova-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["openstack-controller"], "type": "puppet", "id": "nova-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}, "requires": ["cluster"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "virtual_ips"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}, "requires": ["virtual_ips"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "conntrackd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}, "requires": ["deploy_start", "openstack-haproxy-ceilometer", "openstack-haproxy-cinder", "openstack-haproxy-glance", "openstack-haproxy-heat", "openstack-haproxy-horizon", "openstack-haproxy-keystone", "openstack-haproxy-murano", "openstack-haproxy-mysqld", "openstack-haproxy-neutron", "openstack-haproxy-nova", "openstack-haproxy-radosgw", "openstack-haproxy-sahara", "openstack-haproxy-swift"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "openstack-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["cluster-haproxy"], "id": "openstack-haproxy-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-nova"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["cluster-haproxy"], "id": "openstack-haproxy-heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-neutron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-mysqld"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-ceilometer"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-sahara"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-murano"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}, "requires": ["globals"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "logging"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/swift.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-controller"], "id": "swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["swift"], "id": "swift-rebalance-cron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["swift"], "type": "puppet", "id": "swift-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-controller.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-controller_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-controller_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "openstack-network"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-compute.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-compute_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-compute_pre.rb"}, "groups": ["compute"], "required_for": ["deploy_end"], "requires": ["top-role-compute"], "id": "openstack-network-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["openstack-network"], "type": "puppet", "id": "neutron-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["openstack-network"], "type": "puppet", "id": "neutron-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}, "requires": ["cluster"], "groups": ["primary-controller", "controller"], "required_for": ["virtual_ips"], "type": "puppet", "id": "cluster-vrouter"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}, "requires": ["deploy_start"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["hiera"], "type": "puppet", "id": "fuel_pkgs"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "requires": ["tools"], "id": "netconfig"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}, "requires": ["netconfig"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["firewall", "hosts"], "type": "puppet", "id": "connectivity_tests"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "role": ["primary-controller", "controller"], "required_for": ["ntp-client"], "requires": ["dns-client"], "id": "ntp-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}, "requires": ["dns-client"], "role": ["primary-mongo", "mongo", "primary-controller", "controller", "compute", "ceph-osd", "cinder", "cinder-vmware", "zabbix-server"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "ntp-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}, "type": "puppet", "role": ["primary-controller", "controller"], "required_for": ["ntp-server"], "requires": ["dns-client"], "id": "ntp-check"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/keystone.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database", "rabbitmq"], "id": "keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["keystone"], "type": "puppet", "id": "keystone-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/glance.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database"], "id": "glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["glance"], "type": "puppet", "id": "glance-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["glance"], "type": "puppet", "id": "glance-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}, "requires": ["firewall"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "groups": ["primary-controller", "controller", "compute"], "required_for": ["deploy_end"], "type": "puppet", "id": "ssl-keys-saving", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'user_uploaded'"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}, "requires": ["firewall", "ssl-keys-saving"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "groups": ["primary-controller", "controller", "compute"], "required_for": ["deploy_end"], "type": "puppet", "id": "ssl-add-trust-chain", "condition": "settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["generate_keys_ceph"], "id": "copy_keys_ceph"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "role": "master", "required_for": ["copy_keys_ceph"], "type": "shell", "id": "generate_keys_ceph"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["ceph-osd"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-ceph-osd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["apache", "ceph-mon"], "id": "ceph-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}, "requires": ["openstack-controller"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "ceph-mon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}, "requires": ["ceph_create_pools"], "role": ["compute"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "ceph-compute", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["ceph_ready_check"], "type": "puppet", "id": "ceph_create_pools", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}, "requires": ["post_deployment_start"], "role": ["primary-controller"], "required_for": ["enable_rados", "upload_cirros"], "type": "shell", "id": "ceph_ready_check", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["upload_cirros", "post_deployment_end"], "type": "puppet", "id": "enable_rados", "condition": "settings:storage.objects_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/heat.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["heat"], "type": "puppet", "id": "heat-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["heat"], "type": "puppet", "id": "heat-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/horizon/horizon.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}, "requires": ["deploy_start", "virtual_ips", "cluster"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "cluster-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}, "requires": ["netconfig"], "groups": ["virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "generate_vms"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/openstack-cinder.pp", "timeout": 1200}, "requires": ["rabbitmq", "keystone", "hosts", "firewall"], "groups": ["primary-controller", "controller", "cinder-vmware"], "required_for": ["deploy_end", "openstack-controller"], "type": "puppet", "id": "openstack-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["openstack-cinder"], "type": "puppet", "id": "cinder-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["openstack-cinder"], "type": "puppet", "id": "cinder-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}, "requires": ["logging"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "tools"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}, "requires": ["post_deployment_start"], "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "enable_quorum"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 180, "interval": 20}, "requires": ["enable_quorum"], "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "upload_cirros"}, {"role": "*", "type": "upload_file", "id": "upload_nodes_info", "parameters": {"path": "/etc/hiera/nodes.yaml"}, "requires": ["post_deployment_start"]}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "role": "*", "required_for": ["post_deployment_end"], "requires": ["upload_nodes_info"], "id": "update_hosts"}, {"parameters": {"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}, "requires": ["post_deployment_start"], "role": ["primary-controller", "compute-vmware"], "required_for": ["post_deployment_end"], "type": "shell", "id": "vcenter_compute_zones_create", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_compute.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["compute"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_nova_compute_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_cinder.pp", "timeout": 3600, "cwd": "/"}, "requires": ["cinder", "post_deployment_start"], "role": ["cinder"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_cinder_volume_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "public_vip_ping"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-mongo", "mongo", "compute", "ceph-osd", "cinder", "zabbix-server"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "configure_default_route"}, {"role": "*", "type": "upload_file", "id": "upload_core_repos", "requires": ["pre_deployment_start"]}, {"parameters": {"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/", "dst": "/etc/puppet", "timeout": 180}, "type": "sync", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["upload_core_repos"], "id": "rsync_core_puppet"}, {"parameters": {"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}, "requires": ["pre_deployment_start"], "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "clear_nodes_info"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["generate_keys"], "id": "copy_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "role": "master", "required_for": ["copy_keys"], "type": "shell", "id": "generate_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "role": "master", "required_for": ["copy_haproxy_keys"], "type": "shell", "id": "generate_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["generate_haproxy_keys"], "id": "copy_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"retries": 10, "cmd": "ntpdate -u $(egrep '^server' /etc/ntp.conf | egrep -v '127\\\\.127\\\\.[0-9]+\\\\.[0-9]+' | sed '/^#/d' | awk '{print $2}' | head -1)", "timeout": 180, "interval": 30}, "requires": ["pre_deployment_start"], "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "sync_time"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}, "requires": ["pre_deployment_start", "rsync_core_puppet"], "role": "*", "required_for": ["pre_deployment_end"], "type": "puppet", "id": "pre_hiera_config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "dump_rabbitmq_definitions"}, {"type": "stage", "id": "pre_deployment_start"}, {"requires": ["pre_deployment_start"], "type": "stage", "id": "pre_deployment_end"}, {"requires": ["pre_deployment_end"], "type": "stage", "id": "deploy_start"}, {"requires": ["deploy_start"], "type": "stage", "id": "deploy_end"}, {"requires": ["deploy_end"], "type": "stage", "id": "post_deployment_start"}, {"requires": ["post_deployment_start"], "type": "stage", "id": "post_deployment_end"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["deploy_start"], "role": ["primary-controller"], "required_for": ["deploy_end"], "type": "group", "id": "primary-controller"}, {"parameters": {"strategy": {"amount": 6, "type": "parallel"}}, "requires": ["primary-controller"], "role": ["controller"], "required_for": ["deploy_end"], "type": "group", "id": "controller"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder"], "required_for": ["deploy_end"], "type": "group", "id": "cinder"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "cinder-vmware"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute"], "required_for": ["deploy_end"], "type": "group", "id": "compute"}, {"tasks": ["globals", "hiera", "tools", "logging", "netconfig", "connectivity_tests", "hosts", "firewall", "zabbix", "top-role-compute"], "parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "compute-vmware"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "type": "group", "role": ["zabbix-server"], "required_for": ["deploy_end"], "requires": ["deploy_start"], "id": "zabbix-server"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["zabbix-server"], "role": ["mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "mongo"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["mongo"], "role": ["primary-mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "primary-mongo"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ceph-osd"], "required_for": ["deploy_end"], "type": "group", "id": "ceph-osd"}, {"tasks": ["hiera", "globals", "logging"], "parameters": {"strategy": {"type": "parallel"}}, "type": "group", "role": ["base-os"], "required_for": ["deploy_end", "primary-controller", "controller", "primary-mongo", "mongo"], "requires": ["deploy_start"], "id": "base-os"}, {"role": ["virt"], "type": "group", "id": "virt", "parameters": {"strategy": {"type": "parallel"}}, "required_for": ["deploy_end"]}]	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "vcenter_password": "", "datastore": ""}, "availability_zones": [{"vcenter_username": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}], "vcenter_host": "", "cinder": {"enable": true}, "az_name": "vcenter", "vcenter_password": ""}], "network": {"esxi_vlan_interface": ""}}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}], "type": "array", "name": "nova_computes"}]}, {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'nova_network' or networking_parameters:net_manager != 'VlanManager' or settings:common.use_vcenter.value == false"}], "type": "object", "name": "network", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid network interface"}, "type": "text", "description": "VLAN interface", "name": "esxi_vlan_interface", "label": "VLAN interface"}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}]	{volume_manager}
1	Kilo on CentOS 6.5	2015.1.0-7.0	This option will install the OpenStack Juno packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"bonding": {"availability": [{"linux": "settings:storage.iser.value == false and settings:neutron_mellanox.plugin.value != 'ethernet'"}, {"ovs": "false"}], "properties": {"linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": "private", "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": "private", "cidr": "192.168.2.0/24", "seg_type": "tun"}]}}	{"generated": {"provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64.img.gz", "format": "ext4"}}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 40, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "metadata": {"weight": 20, "label": "Additional Components"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "To create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-package-updates --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\nFor more details, please refer to the documentation (https://docs.mirantis.com/openstack/fuel/fuel-6.1/reference-architecture.html#fuel-rep-mirror).\\n", "value": [{"priority": null, "type": "rpm", "name": "mos", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-updates", "uri": "http://mirror.fuel-infra.org/mos/centos-6/mos7.0/updates"}, {"priority": null, "type": "rpm", "name": "mos-security", "uri": "http://mirror.fuel-infra.org/mos/centos-6/mos7.0/security"}, {"priority": 15, "type": "rpm", "name": "Auxiliary", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/auxiliary"}], "extra_priority": null}, "metadata": {"always_editable": true, "weight": 50, "label": "Repositories"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "weight": 20, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^\\\\*$|^(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3}(?:\\\\s*,\\\\s*(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3})*$", "error": "Invalid IP address list"}, "description": "List of upstream DNS servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text"}, "metadata": {"weight": 90, "label": "Host OS DNS Servers"}}, "use_fedora_lt": {"kernel": {"values": [{"data": "default_kernel", "description": "Install default 2.6.32 kernel.", "label": "CentOS default kernel"}, {"data": "fedora_lt_kernel", "description": "EXPERIMENTAL: Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This kernel may not work with all hardware platforms, use with caution.", "label": "Fedora LT kernel"}], "type": "radio", "value": "default_kernel", "weight": 55, "label": "Select kernel"}, "metadata": {"weight": 50, "label": "Use Fedora longterm kernel"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'", {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"weight": 10, "type": "checkbox", "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "value": true, "label": "HTTPS for Horizon"}, "services": {"weight": 20, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": true, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, placed one after another", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "murano_settings": {"murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "weight": 20, "label": "Murano Settings"}}, "common": {"use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "textarea", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "puppet_debug": {"weight": 20, "type": "checkbox", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "value": true, "label": "Puppet debug logging"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "value": true, "label": "Resume guests state on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 10, "label": "Workloads Collector User"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(?:\\\\.\\\\d{1,3}){3})\\\\s*(?:,\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(\\\\.\\\\d{1,3}){3})\\\\s*)*$", "error": "Invalid NTP server list"}, "description": "List of upstream NTP servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text"}, "metadata": {"weight": 100, "label": "Host OS NTP Servers"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "neutron_advanced_configuration": {"neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 45, "label": "Neutron Advanced Configuration"}}}}	{"volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute-vmware": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "name": "Compute VMware", "weight": 90, "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "mongo": {"restrictions": [{"message": "MongoDB node can not be added to an operational environment.", "condition": "cluster:status == 'operational'"}, {"message": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "name": "Telemetry - MongoDB", "weight": 60, "conflicts": ["compute", "ceph-osd"], "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "has_primary": true, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "virt": {"restrictions": [{"condition": "not ('advanced' in version:feature_groups)"}], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes.", "public_ip_required": true, "weight": 80, "name": "Virtual"}, "base-os": {"name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"overrides": [{"max": 1, "message": "Multi-node environment can not have more than one Controller node.", "condition": "cluster:mode == 'multinode'"}, {"recommended": 3, "message": "At least 3 Controller nodes are recommended for Highly Available (HA) environments. Deployments with less than 3 Controller nodes are not recommended for production environments.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "ceph-osd": {"restrictions": [{"message": "Ceph must be enabled in settings", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false"}], "name": "Storage - Ceph OSD", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "update_once": ["controller"], "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in settings", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "limits": {"recommended": 1}, "name": "Storage - Cinder", "weight": 30, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "limits": {"recommended": 1}, "name": "Storage - Cinder Proxy to VMware Datastore", "weight": 40, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMWare vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}], "weight": 5, "value": "qemu", "type": "radio"}, "vcenter": {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "nova-network"}, "settings:common.use_vcenter.value"], "type": "checkbox", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 10, "label": "dialog.create_cluster_wizard.compute.vcenter"}}, "Network": {"manager": {"values": [{"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "label": "common.network.neutron_vlan"}, {"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "tun"}], "data": "neutron-tun", "description": "dialog.create_cluster_wizard.network.neutron_tun_description", "label": "common.network.neutron_tun"}, {"restrictions": [{"Compute.vcenter == false": "dialog.create_cluster_wizard.network.nove_network_vcenter_alert"}], "bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "description": "dialog.create_cluster_wizard.network.nova_network_description", "label": "dialog.create_cluster_wizard.network.nova_network"}], "type": "radio"}}, "Storage": {"ceph": {"values": [{"bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.objects_ceph.value": false}, {"settings:storage.ephemeral_ceph.value": false}, {"settings:storage.images_ceph.value": false}], "data": "disable", "label": "dialog.create_cluster_wizard.storage.ceph_disable"}, {"bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.objects_ceph.value": true}, {"settings:storage.ephemeral_ceph.value": true}, {"settings:storage.images_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}], "data": "enable", "label": "dialog.create_cluster_wizard.storage.ceph_enable"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}], "type": "radio"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}]}}, "Ready": {}}	f	[{"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "requires": ["deploy_start"], "id": "hiera"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "firewall"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/murano.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["heat", "horizon"], "id": "murano", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["murano"], "type": "puppet", "id": "murano-db", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["murano"], "type": "puppet", "id": "murano-keystone", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/zabbix/zabbix.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/zabbix/zabbix_post.rb"}, "requires": ["hosts", "firewall"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "zabbix"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}, "requires": ["hosts", "firewall", "deploy_start"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "cluster"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "keystone"], "type": "puppet", "id": "memcached"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/controller.pp", "timeout": 3600}, "type": "puppet", "id": "controller_remaining_tasks", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"]}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/compute.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["compute"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/cinder.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["cinder"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo_primary.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-primary-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/sahara.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-network", "horizon"], "id": "sahara", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["sahara"], "type": "puppet", "id": "sahara-db", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["sahara"], "type": "puppet", "id": "sahara-keystone", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}, "requires": ["tools"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "umm"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}, "requires": ["controller_remaining_tasks"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "vmware-vcenter", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}, "groups": ["cinder-vmware"], "required_for": ["deploy_end"], "requires": ["openstack-cinder"], "id": "top-role-cinder-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}, "requires": ["top-role-compute"], "groups": ["compute-vmware"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-compute-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "dns-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-mongo", "mongo", "primary-controller", "controller", "compute", "ceph-osd", "cinder", "cinder-vmware", "zabbix-server"], "required_for": ["ntp-client"], "type": "puppet", "id": "dns-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["keystone"], "type": "puppet", "id": "apache"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["deploy_start", "openstack-haproxy"], "id": "database"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "requires": ["hiera"], "id": "globals"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "hosts"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "openstack-controller", "glance"], "type": "puppet", "id": "rabbitmq"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}, "requires": ["apache"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "api-proxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/controller.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller", "swift"], "requires": ["mongo", "primary-mongo", "openstack-haproxy"], "id": "ceilometer-controller", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/compute.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_pre.rb"}, "groups": ["compute"], "required_for": ["deploy_end"], "requires": ["ceilometer-controller", "top-role-compute"], "id": "ceilometer-compute", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["ceilometer-controller"], "type": "puppet", "id": "ceilometer-keystone", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/openstack-controller.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "openstack-controller"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["openstack-controller"], "type": "puppet", "id": "nova-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["openstack-controller"], "type": "puppet", "id": "nova-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}, "requires": ["cluster"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "virtual_ips"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}, "requires": ["virtual_ips"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "conntrackd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}, "requires": ["deploy_start", "openstack-haproxy-ceilometer", "openstack-haproxy-cinder", "openstack-haproxy-glance", "openstack-haproxy-heat", "openstack-haproxy-horizon", "openstack-haproxy-keystone", "openstack-haproxy-murano", "openstack-haproxy-mysqld", "openstack-haproxy-neutron", "openstack-haproxy-nova", "openstack-haproxy-radosgw", "openstack-haproxy-sahara", "openstack-haproxy-swift"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "openstack-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["cluster-haproxy"], "id": "openstack-haproxy-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-nova"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["cluster-haproxy"], "id": "openstack-haproxy-heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-neutron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-mysqld"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-ceilometer"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-sahara"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "cluster-haproxy"], "id": "openstack-haproxy-murano"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}, "requires": ["globals"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "logging"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/swift.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-controller"], "id": "swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["swift"], "id": "swift-rebalance-cron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["swift"], "type": "puppet", "id": "swift-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-controller.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-controller_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-controller_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "openstack-network"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-compute.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-compute_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-network/openstack-network-compute_pre.rb"}, "groups": ["compute"], "required_for": ["deploy_end"], "requires": ["top-role-compute"], "id": "openstack-network-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["openstack-network"], "type": "puppet", "id": "neutron-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["openstack-network"], "type": "puppet", "id": "neutron-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}, "requires": ["cluster"], "groups": ["primary-controller", "controller"], "required_for": ["virtual_ips"], "type": "puppet", "id": "cluster-vrouter"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}, "requires": ["deploy_start"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["hiera"], "type": "puppet", "id": "fuel_pkgs"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}, "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "requires": ["tools"], "id": "netconfig"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}, "requires": ["netconfig"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["firewall", "hosts"], "type": "puppet", "id": "connectivity_tests"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "role": ["primary-controller", "controller"], "required_for": ["ntp-client"], "requires": ["dns-client"], "id": "ntp-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}, "requires": ["dns-client"], "role": ["primary-mongo", "mongo", "primary-controller", "controller", "compute", "ceph-osd", "cinder", "cinder-vmware", "zabbix-server"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "ntp-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}, "type": "puppet", "role": ["primary-controller", "controller"], "required_for": ["ntp-server"], "requires": ["dns-client"], "id": "ntp-check"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/keystone.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database", "rabbitmq"], "id": "keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["keystone"], "type": "puppet", "id": "keystone-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/glance.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database"], "id": "glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["glance"], "type": "puppet", "id": "glance-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["glance"], "type": "puppet", "id": "glance-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}, "requires": ["firewall"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "groups": ["primary-controller", "controller", "compute"], "required_for": ["deploy_end"], "type": "puppet", "id": "ssl-keys-saving", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'user_uploaded'"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}, "requires": ["firewall", "ssl-keys-saving"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "groups": ["primary-controller", "controller", "compute"], "required_for": ["deploy_end"], "type": "puppet", "id": "ssl-add-trust-chain", "condition": "settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["generate_keys_ceph"], "id": "copy_keys_ceph"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "role": "master", "required_for": ["copy_keys_ceph"], "type": "shell", "id": "generate_keys_ceph"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["ceph-osd"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-ceph-osd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["apache", "ceph-mon"], "id": "ceph-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}, "requires": ["openstack-controller"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "ceph-mon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}, "requires": ["ceph_create_pools"], "role": ["compute"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "ceph-compute", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["ceph_ready_check"], "type": "puppet", "id": "ceph_create_pools", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}, "requires": ["post_deployment_start"], "role": ["primary-controller"], "required_for": ["enable_rados", "upload_cirros"], "type": "shell", "id": "ceph_ready_check", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["upload_cirros", "post_deployment_end"], "type": "puppet", "id": "enable_rados", "condition": "settings:storage.objects_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/heat.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["heat"], "type": "puppet", "id": "heat-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["heat"], "type": "puppet", "id": "heat-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/horizon/horizon.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_pre.rb"}, "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}, "requires": ["deploy_start", "virtual_ips", "cluster"], "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "cluster-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}, "requires": ["netconfig"], "groups": ["virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "generate_vms"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/openstack-cinder.pp", "timeout": 1200}, "requires": ["rabbitmq", "keystone", "hosts", "firewall"], "groups": ["primary-controller", "controller", "cinder-vmware"], "required_for": ["deploy_end", "openstack-controller"], "type": "puppet", "id": "openstack-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/db.pp", "timeout": 1800}, "requires": ["database"], "groups": ["primary-controller"], "required_for": ["openstack-cinder"], "type": "puppet", "id": "cinder-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/keystone.pp", "timeout": 1800}, "requires": ["keystone"], "groups": ["primary-controller"], "required_for": ["openstack-cinder"], "type": "puppet", "id": "cinder-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}, "requires": ["logging"], "groups": ["primary-controller", "controller", "cinder", "cinder-vmware", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo", "virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "tools"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}, "requires": ["post_deployment_start"], "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "enable_quorum"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 180, "interval": 20}, "requires": ["enable_quorum"], "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "upload_cirros"}, {"role": "*", "type": "upload_file", "id": "upload_nodes_info", "parameters": {"path": "/etc/hiera/nodes.yaml"}, "requires": ["post_deployment_start"]}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "role": "*", "required_for": ["post_deployment_end"], "requires": ["upload_nodes_info"], "id": "update_hosts"}, {"parameters": {"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}, "requires": ["post_deployment_start"], "role": ["primary-controller", "compute-vmware"], "required_for": ["post_deployment_end"], "type": "shell", "id": "vcenter_compute_zones_create", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_compute.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["compute"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_nova_compute_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_cinder.pp", "timeout": 3600, "cwd": "/"}, "requires": ["cinder", "post_deployment_start"], "role": ["cinder"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_cinder_volume_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "public_vip_ping"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-mongo", "mongo", "compute", "ceph-osd", "cinder", "zabbix-server"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "configure_default_route"}, {"role": "*", "type": "upload_file", "id": "upload_core_repos", "requires": ["pre_deployment_start"]}, {"parameters": {"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/", "dst": "/etc/puppet", "timeout": 180}, "type": "sync", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["upload_core_repos"], "id": "rsync_core_puppet"}, {"parameters": {"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}, "requires": ["pre_deployment_start"], "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "clear_nodes_info"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["generate_keys"], "id": "copy_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "role": "master", "required_for": ["copy_keys"], "type": "shell", "id": "generate_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "role": "master", "required_for": ["copy_haproxy_keys"], "type": "shell", "id": "generate_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "role": "*", "required_for": ["pre_deployment_end"], "requires": ["generate_haproxy_keys"], "id": "copy_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"retries": 10, "cmd": "ntpdate -u $(egrep '^server' /etc/ntp.conf | egrep -v '127\\\\.127\\\\.[0-9]+\\\\.[0-9]+' | sed '/^#/d' | awk '{print $2}' | head -1)", "timeout": 180, "interval": 30}, "requires": ["pre_deployment_start"], "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "sync_time"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}, "requires": ["pre_deployment_start", "rsync_core_puppet"], "role": "*", "required_for": ["pre_deployment_end"], "type": "puppet", "id": "pre_hiera_config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}, "requires": ["post_deployment_start"], "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "dump_rabbitmq_definitions"}, {"type": "stage", "id": "pre_deployment_start"}, {"requires": ["pre_deployment_start"], "type": "stage", "id": "pre_deployment_end"}, {"requires": ["pre_deployment_end"], "type": "stage", "id": "deploy_start"}, {"requires": ["deploy_start"], "type": "stage", "id": "deploy_end"}, {"requires": ["deploy_end"], "type": "stage", "id": "post_deployment_start"}, {"requires": ["post_deployment_start"], "type": "stage", "id": "post_deployment_end"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["deploy_start"], "role": ["primary-controller"], "required_for": ["deploy_end"], "type": "group", "id": "primary-controller"}, {"parameters": {"strategy": {"amount": 6, "type": "parallel"}}, "requires": ["primary-controller"], "role": ["controller"], "required_for": ["deploy_end"], "type": "group", "id": "controller"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder"], "required_for": ["deploy_end"], "type": "group", "id": "cinder"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "cinder-vmware"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute"], "required_for": ["deploy_end"], "type": "group", "id": "compute"}, {"tasks": ["globals", "hiera", "tools", "logging", "netconfig", "connectivity_tests", "hosts", "firewall", "zabbix", "top-role-compute"], "parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "compute-vmware"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "type": "group", "role": ["zabbix-server"], "required_for": ["deploy_end"], "requires": ["deploy_start"], "id": "zabbix-server"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["zabbix-server"], "role": ["mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "mongo"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["mongo"], "role": ["primary-mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "primary-mongo"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ceph-osd"], "required_for": ["deploy_end"], "type": "group", "id": "ceph-osd"}, {"tasks": ["hiera", "globals", "logging"], "parameters": {"strategy": {"type": "parallel"}}, "type": "group", "role": ["base-os"], "required_for": ["deploy_end", "primary-controller", "controller", "primary-mongo", "mongo"], "requires": ["deploy_start"], "id": "base-os"}, {"role": ["virt"], "type": "group", "id": "virt", "parameters": {"strategy": {"type": "parallel"}}, "required_for": ["deploy_end"]}]	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "vcenter_password": "", "datastore": ""}, "availability_zones": [{"vcenter_username": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}], "vcenter_host": "", "cinder": {"enable": true}, "az_name": "vcenter", "vcenter_password": ""}], "network": {"esxi_vlan_interface": ""}}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}], "type": "array", "name": "nova_computes"}]}, {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'nova_network' or networking_parameters:net_manager != 'VlanManager' or settings:common.use_vcenter.value == false"}], "type": "object", "name": "network", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid network interface"}, "type": "text", "description": "VLAN interface", "name": "esxi_vlan_interface", "label": "VLAN interface"}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}]	{volume_manager}
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
1	\N	57400baf-ca49-488d-bc8f-a032d2510657	dump	\N	running	0	{"args": {"task_uuid": "57400baf-ca49-488d-bc8f-a032d2510657", "settings": {"target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir", "exclude": ["atop/"]}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "10.109.0.2"}]}, "controller": {"objects": [{"command": "pcs status", "to_file": "pcs_status.txt", "type": "command"}, {"command": "rabbitmqctl report", "to_file": "rabbitmqctl_report.txt", "type": "command"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}], "hosts": []}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.109.0.2", "password": "Dtkej0ax", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.109.0.2:80/cobbler_api"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "localhost"}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"command": "dpkg -l", "to_file": "ubuntu_installed_debs.txt", "type": "command"}, {"command": "apt-cache policy", "to_file": "ubuntu_repo_list.txt", "type": "command"}, {"command": "sysctl -a", "to_file": "sysctl.txt", "type": "command"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}, {"command": "cat /proc/interrupts", "to_file": "proc_interrupts.txt", "type": "command"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}, {"command": "dmesg", "to_file": "dmesg.txt", "type": "command"}], "hosts": []}}, "timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "compression_level": 3, "timeout": 7200}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 1, true);


--
-- Data for Name: vmware_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vmware_attributes (id, cluster_id, editable) FROM stdin;
\.


--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vmware_attributes_id_seq', 1, false);


--
-- Data for Name: volume_manager_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_alembic_version (version_num) FROM stdin;
086cde3de7cf
\.


--
-- Data for Name: volume_manager_node_volumes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_node_volumes (id, node_id, volumes) FROM stdin;
1	1	[{"name": "vda", "extra": ["disk/by-id/virtio-b7dce2338a014b64b87c"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-e7badf918e8c492a80a1"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-02b53362ebe3421c81fb"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 51200}]
2	2	[{"name": "vda", "extra": ["disk/by-id/virtio-e533cb1eb2b34be9a527"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-febca25c18154508a674"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-6564c8d835264fffb0c6"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 51200}]
3	3	[{"name": "vda", "extra": ["disk/by-id/virtio-9f2555182fde4fc49e73"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-f90052dbba24420c8c9d"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-02aca146a3ca47cab6ce"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 51200}]
4	4	[{"name": "vda", "extra": ["disk/by-id/virtio-0ef44914b26e4f939054"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-a61a9d7e9f0441089aa9"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-bfb8774434f34864b0f8"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 51200}]
5	5	[{"name": "vda", "extra": ["disk/by-id/virtio-7304b96f470246b2b3cd"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio0", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-ec1478996b60430c9c36"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio1", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-8fe3673f8104425cbd73"], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0b.0-virtio-pci-virtio2", "size": 51200}]
\.


--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('volume_manager_node_volumes_id_seq', 5, true);


--
-- Name: _hostname_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT _hostname_cluster_uc UNIQUE (cluster_id, hostname);


--
-- Name: _name_version_unique; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT _name_version_unique UNIQUE (name, version);


--
-- Name: action_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY action_logs
    ADD CONSTRAINT action_logs_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_name_key1; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key1 UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: extensions_migration_buffer_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY extensions_migration_buffer
    ADD CONSTRAINT extensions_migration_buffer_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: master_node_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY master_node_settings
    ADD CONSTRAINT master_node_settings_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: nodegroups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: oswl_stats_cluster_id_created_date_resource_type_unique_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_cluster_id_created_date_resource_type_unique_key UNIQUE (cluster_id, created_date, resource_type);


--
-- Name: oswl_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_pkey PRIMARY KEY (id);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: vmware_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_pkey PRIMARY KEY (id);


--
-- Name: volume_manager_node_volumes_node_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_node_id_key UNIQUE (node_id);


--
-- Name: volume_manager_node_volumes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_pkey PRIMARY KEY (id);


--
-- Name: ix_oswl_stats_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_cluster_id ON oswl_stats USING btree (cluster_id);


--
-- Name: ix_oswl_stats_created_date; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_created_date ON oswl_stats USING btree (created_date);


--
-- Name: ix_oswl_stats_is_sent; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_is_sent ON oswl_stats USING btree (is_sent);


--
-- Name: ix_oswl_stats_resource_type; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_resource_type ON oswl_stats USING btree (resource_type);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_plugins_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: fk_pending_release_id; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT fk_pending_release_id FOREIGN KEY (pending_release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: nodegroups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: nodes_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: vmware_attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

